UbixOS V2 2.0

Public Member Functions | Protected Member Functions | Protected Attributes
ogDisplay_UbixOS Class Reference

`#include <ogDisplay_UbixOS.h>`

Inheritance diagram for ogDisplay_UbixOS:
Collaboration diagram for ogDisplay_UbixOS:

## Public Member Functions
virtual bool | ogAlias (ogSurface &, uint32_t, uint32_t, uint32_t, uint32_t)
virtual bool | ogClone (ogSurface &)
virtual void | ogCopyPalette (ogSurface &)
virtual bool | ogCreate (uint32_t, uint32_t, ogPixelFmt)
| ogDisplay_UbixOS (void)
virtual bool | ogLoadPalette (const char *)
virtual void | ogSetPalette (const ogRGBA8[])
virtual void | ogSetPalette (uint8_t, uint8_t, uint8_t, uint8_t)
virtual void | ogSetPalette (uint8_t, uint8_t, uint8_t, uint8_t, uint8_t)
virtual | ~ogDisplay_UbixOS (void)

## Protected Member Functions
uint16_t | FindMode (uint32_t, uint32_t, uint32_t)
void | GetModeInfo (uint16_t)
void | GetVESAInfo (void)
void | SetMode (uint16_t)
void | SetPal (void)

## Protected Attributes
uint32_t | activePage
ogModeInfo * | modeInfo
void * | pages [2]
ogVESAInfo * | VESAInfo
uint32_t | visualPage

## Detailed Description

Definition at line 89 of file ogDisplay_UbixOS.h.

## Constructor & Destructor Documentation

## ◆ ogDisplay_UbixOS()

ogDisplay_UbixOS::ogDisplay_UbixOS | ( | void |  | ) |

Definition at line 52 of file ogDisplay_UbixOS.cc.

References activePage, GetVESAInfo(), modeInfo, NULL, pages, VESAInfo, and visualPage.

Here is the call graph for this function:

## ◆ ~ogDisplay_UbixOS()

ogDisplay_UbixOS::~ogDisplay_UbixOS | ( | void |  | ) |
| virtual

Definition at line 291 of file ogDisplay_UbixOS.cc.

## Member Function Documentation

## ◆ FindMode()

uint16_t ogDisplay_UbixOS::FindMode | ( | uint32_t | _xRes,
|  | uint32_t | _yRes,
|  | uint32_t | _BPP
| ) |  |
| protected

Definition at line 79 of file ogDisplay_UbixOS.cc.

References GetModeInfo(), modeInfo, and NULL.

Referenced by ogCreate().

Here is the call graph for this function:

## ◆ GetModeInfo()

void ogDisplay_UbixOS::GetModeInfo | ( | uint16_t | mode | ) |
| protected

Definition at line 65 of file ogDisplay_UbixOS.cc.

References biosCall().

Referenced by FindMode(), and SetMode().

Here is the call graph for this function:

## ◆ GetVESAInfo()

void ogDisplay_UbixOS::GetVESAInfo | ( | void |  | ) |
| protected

Definition at line 70 of file ogDisplay_UbixOS.cc.

References biosCall(), and VESAInfo.

Referenced by ogDisplay_UbixOS().

Here is the call graph for this function:

## ◆ ogAlias()

bool ogDisplay_UbixOS::ogAlias | ( | ogSurface & | SrcObject,
|  | uint32_t | x1,
|  | uint32_t | y1,
|  | uint32_t | x2,
|  | uint32_t | y2
| ) |  |
| virtual

Definition at line 223 of file ogDisplay_UbixOS.cc.

## ◆ ogClone()

bool ogDisplay_UbixOS::ogClone | ( | ogSurface & | SrcObject | ) |
| virtual

Definition at line 248 of file ogDisplay_UbixOS.cc.

## ◆ ogCopyPalette()

void ogDisplay_UbixOS::ogCopyPalette | ( | ogSurface & | SrcObject | ) |
| virtual

Definition at line 253 of file ogDisplay_UbixOS.cc.

References SetPal().

Here is the call graph for this function:

## ◆ ogCreate()

bool ogDisplay_UbixOS::ogCreate | ( | uint32_t | _xRes,
|  | uint32_t | _yRes,
|  | ogPixelFmt | _pixFormat
| ) |  |
| virtual

Definition at line 228 of file ogDisplay_UbixOS.cc.

References FindMode(), and SetMode().

Here is the call graph for this function:

## ◆ ogLoadPalette()

bool ogDisplay_UbixOS::ogLoadPalette | ( | const char * | palfile | ) |
| virtual

Definition at line 259 of file ogDisplay_UbixOS.cc.

References SetPal().

Here is the call graph for this function:

## ◆ ogSetPalette() [1/3]

virtual void ogDisplay_UbixOS::ogSetPalette | ( | const | ogRGBA8[] | ) |
| virtual

Referenced by SetMode().

## ◆ ogSetPalette() [2/3]

void ogDisplay_UbixOS::ogSetPalette | ( | uint8_t | colour,
|  | uint8_t | red,
|  | uint8_t | green,
|  | uint8_t | blue
| ) |  |
| virtual

Definition at line 266 of file ogDisplay_UbixOS.cc.

References NULL, and outportByte().

Here is the call graph for this function:

## ◆ ogSetPalette() [3/3]

void ogDisplay_UbixOS::ogSetPalette | ( | uint8_t | colour,
|  | uint8_t | red,
|  | uint8_t | green,
|  | uint8_t | blue,
|  | uint8_t | alpha
| ) |  |
| virtual

Definition at line 278 of file ogDisplay_UbixOS.cc.

References NULL, and outportByte().

Here is the call graph for this function:

## ◆ SetMode()

void ogDisplay_UbixOS::SetMode | ( | uint16_t | mode | ) |
| protected

Definition at line 99 of file ogDisplay_UbixOS.cc.

References buffer, GetModeInfo(), initVESAMode(), KERNEL_PAGE_DEFAULT, kpanic(), modeInfo, NULL, ogSetPalette(), printOff, and vmm_remapPage().

Referenced by ogCreate().

Here is the call graph for this function:

## ◆ SetPal()

void ogDisplay_UbixOS::SetPal | ( | void |  | ) |
| protected

Definition at line 211 of file ogDisplay_UbixOS.cc.

References outportByte().

Referenced by ogCopyPalette(), and ogLoadPalette().

Here is the call graph for this function:

## Field Documentation

## ◆ activePage

uint32_t ogDisplay_UbixOS::activePage
| protected

Definition at line 92 of file ogDisplay_UbixOS.h.

Referenced by ogDisplay_UbixOS().

## ◆ modeInfo

ogModeInfo* ogDisplay_UbixOS::modeInfo
| protected

Definition at line 95 of file ogDisplay_UbixOS.h.

Referenced by FindMode(), ogDisplay_UbixOS(), and SetMode().

## ◆ pages

void* ogDisplay_UbixOS::pages[2]
| protected

Definition at line 91 of file ogDisplay_UbixOS.h.

Referenced by ogDisplay_UbixOS().

## ◆ VESAInfo

ogVESAInfo* ogDisplay_UbixOS::VESAInfo
| protected

Definition at line 94 of file ogDisplay_UbixOS.h.

Referenced by GetVESAInfo(), and ogDisplay_UbixOS().

## ◆ visualPage

uint32_t ogDisplay_UbixOS::visualPage
| protected

Definition at line 93 of file ogDisplay_UbixOS.h.

Referenced by ogDisplay_UbixOS().

The documentation for this class was generated from the following files:

- C:/Dev/git/UbixOS/sys/include/sde/ogDisplay_UbixOS.h
- C:/Dev/git/UbixOS/sys/sde/ogDisplay_UbixOS.cc